
%define gcj_support     1

Summary:          Eclipse Git plug-in
Name:             eclipse-egit
Version:          0.3.1
Release:          0%{?dist}
License:          EPL GPLv2 LGPLv2
URL:              http://repo.or.cz/w/egit.git
Group:            Development/Tools

# retrieved from http://repo.or.cz/w/egit.git?a=snapshot;h=23d59c8d94ef65009dbe93a234e1a061669f58db;sf=tgz
Source0:          egit-23d59c8d94ef65009dbe93a234e1a061669f58db.tar.gz

Requires:         eclipse-platform >= 1:3.2.1
Requires:         git-core
%if %{gcj_support}
BuildRequires:    gcc-java >= 4.1.2
BuildRequires:    java-1.5.0-gcj-devel >= 1.5.0
Requires(post):   java-1.5.0-gcj >= 1.5.0
Requires(postun): java-1.5.0-gcj >= 1.5.0
%else
BuildRequires:    java-devel >= 1.6.0
%endif

BuildRequires:    eclipse-pde
BuildRequires:    jpackage-utils >= 0:1.5

%if %{gcj_support}
%else
BuildArch:        noarch
%endif
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The eclipse-egit package contains Eclipse plugins for
interacting with Git repositories.

%prep
%setup -q -c 

%build
# Copy the SDK for build
/bin/sh -x %{_datadir}/eclipse/buildscripts/copy-platform SDK %{_datadir}/eclipse
SDK=$(cd SDK > /dev/null && pwd)

# Eclipse may try to write to the home directory.
mkdir home
homedir=$(cd home > /dev/null && pwd)

# build the main egit feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.spearce.egit                             \
     -DbaseLocation=$SDK                               \
     -DjavacSource=1.5  -DjavacTarget=1.5              \
     -DsourceDirectory=$(pwd)                          \
     -DbuildDirectory=$(pwd)/build                     \
     -Dbuilder=%{_datadir}/eclipse/plugins/org.eclipse.pde.build/templates/package-build \
     -f %{_datadir}/eclipse/plugins/org.eclipse.pde.build/scripts/build.xml \
     -vmargs -Duser.home=$homedir

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/%{_datadir}/eclipse

# egit main feature
unzip -q -d $RPM_BUILD_ROOT%{_datadir}/eclipse/.. \
            build/rpmBuild/org.spearce.egit.zip

%if %{gcj_support}
aot-compile-rpm
%endif

%clean 
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post -p /usr/bin/rebuild-gcj-db
%postun -p /usr/bin/rebuild-gcj-db
%endif

%files
%defattr(-,root,root,-)
%{_datadir}/eclipse/features/org.spearce.egit*
%{_datadir}/eclipse/plugins/org.spearce.egit*
%{_datadir}/eclipse/plugins/org.spearce.egit.core*
%{_datadir}/eclipse/plugins/org.spearce.egit.ui*
%{_datadir}/eclipse/plugins/org.spearce.jgit*
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif

%changelog
* Tue Apr 08 2008 Jesse Keating <jkeating@redhat.com> - 0.3.1-0
- New upstream release 0.3.1, makes committing / diffing actually work

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.0-3
- Autorebuild for GCC 4.3

* Mon Oct 04 2007 Ben Konrath <bkonrath@redhat.com> 0.3.0-2.fc8
- Require git-core instead of git.
- Resolves: #319321

* Mon Sep 24 2007 Ben Konrath <bkonrath@redhat.com> 0.3.0-1.fc8
- 0.3.0

* Wed Sep 19 2007 Ben Konrath <bkonrath@redhat.com> 0.2.99-0.git20070919.fc8
- 0.2.99 git20070919

* Mon Sep 17 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-2.git20070911.fc8
- Update add feature and plugin patch.

* Mon Sep 17 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-1.git20070911.fc8
- Require eclipse-platform >= 3.2.1 

* Fri Sep 14 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-0.git20070911.fc8
- Update to git20070911.
- Update feature and accosicated branding plugin.

* Wed Aug 29 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-0.git20070826.fc8
- Initial version
